Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Viewport Class Reference

A GtkViewport C++ wrapper class. More...

`#include <inti/gtk/viewport.h>`

Inheritance diagram for Inti::Gtk::Viewport:

List of all members.

## Public Member Functions

Constructors

- Viewport ()
    Construct a new viewport.
- Viewport (Adjustment *hadjustment, Adjustment *vadjustment)
    Construct a new viewport with the given adjustments.
- virtual ~Viewport ()
    Destructor.

Accessors

- GtkViewport * gtk_viewport () const
    Get a pointer to the GtkViewport structure.
- GtkViewportClass * gtk_viewport_class () const
    Get a pointer to the GtkViewportClass structure.
- operator GtkViewport * () const
    Conversion operator; safely converts a Viewport to a GtkViewport pointer.
- Adjustment * get_hadjustment () const
    Returns the horizontal adjustment of the viewport.
- Adjustment * get_vadjustment () const
    Returns the vertical adjustment of the viewport.
- ShadowType get_shadow_type () const
    Returns the shadow type of the viewport (see set_shadow_type()).

Methods

- void set_hadjustment (Adjustment *adjustment)
    Sets the horizontal adjustment of the viewport.
- void set_vadjustment (Adjustment *adjustment)
    Sets the vertical adjustment of the viewport.
- void set_shadow_type (ShadowType type)
    Sets the shadow type of the viewport.

Property Proxies

- const HAdjustmentPropertyProxy prop_hadjustment ()
    The Adjustment that determines the values of the horizontal position for this viewport (Adjustment* : Read / Write).
- const VAdjustmentPropertyProxy prop_vadjustment ()
    The Adjustment that determines the values of the vertical position for this viewport (Adjustment* : Read / Write).
- const ShadowTypePropertyProxy prop_shadow_type ()
    Determines how the shadowed box around the viewport is drawn (ShadowType : Read / Write).

Signal Proxies

- const SetScrollAdjustmentsSignalProxy sig_set_scroll_adjustments ()
    Connect to the set_scroll_adjustments_signal; emitted when a viewport is added to a scrolling aware parent.

## Protected Member Functions

Constructors

- Viewport (GtkViewport *viewport, bool reference=false)
    Construct a new Viewport from an existing GtkViewport.

Signal Handlers

- virtual void on_set_scroll_adjustments (Adjustment *hadjustment, Adjustment *vadjustment)
    Called when a viewport is added to a scrolling aware parent.

## Detailed Description

A GtkViewport C++ wrapper class.

The Viewport widget provides you with the capability to see part of a child widget and scroll the contents of the child. It is normally not accessed directly but used by other widgets, particularly the ScrollWindow, for child widgets that do not have their own scrolling capability.

## Constructor & Destructor Documentation

Inti::Gtk::Viewport::Viewport | ( | GtkViewport * | viewport,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new Viewport from an existing GtkViewport. Parameters:
  viewport | A pointer to a GtkViewport.
  reference | Set false if the initial reference count is floating, set true if it's not.
The viewport can be a newly created GtkViewport or an existing GtkViewport (see G::Object::Object).

Inti::Gtk::Viewport::Viewport | ( | Adjustment * | hadjustment,
|  | Adjustment * | vadjustment
| ) |

  | Construct a new viewport with the given adjustments. Parameters:
  hadjustment | The horizontal adjustment.
  vadjustment | The vertical adjustment.

## Member Function Documentation

Adjustment* Inti::Gtk::Viewport::get_hadjustment | ( |  | ) | const

| Returns the horizontal adjustment of the viewport. If the adjustment has not been set a default adjustment with all values set to zero will be returned.

Adjustment* Inti::Gtk::Viewport::get_vadjustment | ( |  | ) | const

| Returns the vertical adjustment of the viewport. If the adjustment has not been set a default adjustment with all values set to zero will be returned.

virtual void Inti::Gtk::Viewport::on_set_scroll_adjustments | ( | Adjustment * | hadjustment,
|  | Adjustment * | vadjustment
| ) | `[protected, virtual]`

  | Called when a viewport is added to a scrolling aware parent. Parameters:
  hadjustment | The horizontal adjustment.
  vadjustment | The vertical adjustment.

const VAdjustmentPropertyProxy Inti::Gtk::Viewport::prop_vadjustment | ( |  | ) | `[inline]`

| The Adjustment that determines the values of the vertical position for this viewport (Adjustment* : Read / Write).

void Inti::Gtk::Viewport::set_hadjustment | ( | Adjustment * | adjustment | ) |

  | Sets the horizontal adjustment of the viewport. Parameters:
  adjustment | An Adjustment.

void Inti::Gtk::Viewport::set_shadow_type | ( | ShadowType | type | ) |

  | Sets the shadow type of the viewport. Parameters:
  type | The new shadow type.

void Inti::Gtk::Viewport::set_vadjustment | ( | Adjustment * | adjustment | ) |

  | Sets the vertical adjustment of the viewport. Parameters:
  adjustment | An Adjustment.

The documentation for this class was generated from the following file:

- viewport.h

Main Page - Footer